classification
Title: docs for Py_UNICODE are wrong
Type: Stage:
Components: Unicode Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lemburg Nosy List: dieresys, facundobatista, lemburg, theller
Priority: normal Keywords: easy

Created on 2004-10-11 10:28 by theller, last changed 2008-06-21 17:28 by facundobatista. This issue is now closed.

Messages (4)
msg60586 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2004-10-11 10:28
Quoting the docs (Python C/API manual, section 7.3.2,
unicode objects):

Py_UNICODE

This type represents a 16-bit unsigned storage type
which is used by Python internally as basis for holding
Unicode ordinals. On platforms where wchar_t is
available and also has 16-bits, Py_UNICODE is a typedef
alias for wchar_t to enhance native platform
compatibility. On all other platforms, Py_UNICODE is a
typedef alias for unsigned short.

This is apparently wrong for wide unicode builds.
msg68508 - (view) Author: Manuel Muradás (dieresys) Date: 2008-06-21 16:02
This looks fixed to me. The current documentation is much more clear.
Look:
http://docs.python.org/api/unicodeObjects.html
msg68511 - (view) Author: Manuel Muradás (dieresys) Date: 2008-06-21 16:38
This is the link to the current py_unicode documentation:
http://docs.python.org/dev/c-api/unicode.html
msg68518 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2008-06-21 17:28
Thanks Thomas and Manuel!
History
Date User Action Args
2008-06-21 17:28:40facundobatistasetstatus: open -> closed
resolution: fixed
messages: + msg68518
nosy: + facundobatista
2008-06-21 16:38:06dieresyssetmessages: + msg68511
2008-06-21 16:02:36dieresyssetnosy: + dieresys
messages: + msg68508
2008-02-19 23:37:50akuchlingsetkeywords: + easy
2004-10-11 10:28:43thellercreate